use crate::app::App;
use crate::theme::onedark::ONE_DARK;

impl <'a>eframe::App for App<'a> {
    fn update(&mut self, ctx: &egui::Context, _frame: &mut eframe::Frame) {
        let background_frame = egui::Frame::default().fill(ONE_DARK.bg);
        
        egui::CentralPanel::default()
        .frame(background_frame)
        .show(ctx, |ui| {
            ui.heading(self.name);
        });
    }
}